Debian Bug report logs - #694061
lxde: installs files over existing /usr/share/doc/lxde -> lxde-common symlink, overwriting files from lxde-common

version graph

Package: lxde; Maintainer for lxde is Debian LXDE Maintainers <lxde-debian@lists.lxde.org>; Source for lxde is src:lxde-metapackages.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Fri, 23 Nov 2012 13:15:02 UTC

Severity: serious

Tags: patch

Found in version lxde-metapackages/2

Fixed in version lxde-metapackages/4+nmu1

Done: Hideki Yamane <henrich@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#694061; Package lxde. (Fri, 23 Nov 2012 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Fri, 23 Nov 2012 13:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lxde: installs files over existing /usr/share/doc/lxde -> lxde-common symlink, overwriting files from lxde-common
Date: Fri, 23 Nov 2012 14:11:14 +0100
[Message part 1 (text/plain, inline)]
Package: lxde
Version: 2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package overwrites files from
vlc-nox on upgrades from squeeze because it does not handle an old
/usr/share/doc/mozilla-plugin-vlc symlink properly. This symlink should
be removed in the preinst script on upgrades. dpkg intentioanlly does
not replace directories with symlinks or vice versa.

>From the attached log:

4m0.0s INFO: dirname part contains a symlink:
  /usr/share/doc/lxde/changelog.gz != /usr/share/doc/lxde-common/changelog.gz (lxde)
  /usr/share/doc/lxde/copyright != /usr/share/doc/lxde-common/copyright (lxde)

4m8.8s ERROR: FAIL: debsums reports modifications inside the chroot:
  debsums: missing file /usr/share/doc/lxde-common/NEWS.Debian.gz (from lxde-common package)
  debsums: missing file /usr/share/doc/lxde-common/changelog.Debian.gz (from lxde-common package)
  /usr/share/doc/lxde-common/copyright

In lenny, /usr/share/doc/lxde was a symlink to lxde-common.
In squeeze, /usr/share/doc/lxde was shipped as a directory, but no
proper migration was performed (dpkg intentioanlly does not replace
directories with links and vice versa). On upgrades This caused some
files from lxde-common to be overwritten by lxde (but this made no
difference as they were built from the same source and the files were
identical, so noone noticed).
In wheezy lxde if built from a different source package, so now the
/usr/share/doc/lxde content differs from /usr/share/doc/lxde-common and
if the ancient symlink is still in place, bad things happen.

To solve this, lxde.preinst should do something like this:

    test ! -L /usr/share/doc/lxde || rm /usr/share/doc/lxde


cheers,

Andreas
[lxde_2.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#694061; Package lxde. (Sat, 24 Nov 2012 05:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Sat, 24 Nov 2012 05:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 694061@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: control@bugs.debian.org, 694061@bugs.debian.org
Subject: Re: lxde: installs files over existing /usr/share/doc/lxde -> lxde-common symlink, overwriting files from lxde-common
Date: Sat, 24 Nov 2012 14:17:25 +0900
claim 694061 henrich@debian.or.jp
tags 694061 patch pending
thanks

Hi,

 I've made a patch for this issue, please check it.

diff -Nru lxde-metapackages-4/debian/changelog
lxde-metapackages-4+nmu1/debian/changelog
--- lxde-metapackages-4/debian/changelog	2012-08-11 05:40:36.000000000 +0900
+++ lxde-metapackages-4+nmu1/debian/changelog	2012-11-24
14:15:23.000000000 +0900
@@ -1,3 +1,12 @@
+lxde-metapackages (4+nmu1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * guarantee proper migration from old enviroment to wheezy
+    Thanks to Andreas Beckmann <debian@abeckmann.de> for pointing this
+    out and patch (Closes: #694061)
+
+ -- henrich <henrich@mithril-linux.org>  Sat, 24 Nov 2012 14:11:20 +0900
+
 lxde-metapackages (4) unstable; urgency=low

   * Switching from gdm3 to lightdm.
diff -Nru lxde-metapackages-4/debian/preinst
lxde-metapackages-4+nmu1/debian/preinst
--- lxde-metapackages-4/debian/preinst	1970-01-01 09:00:00.000000000 +0900
+++ lxde-metapackages-4+nmu1/debian/preinst	2012-11-24 14:11:16.000000000 +0900
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+ test ! -L /usr/share/doc/lxde || rm /usr/share/doc/lxde
+
+#DEBHELPER#
+



Added tag(s) pending and patch. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sat, 24 Nov 2012 05:21:05 GMT) Full text and rfc822 format available.

Reply sent to Hideki Yamane <henrich@debian.org>:
You have taken responsibility. (Sat, 01 Dec 2012 15:21:13 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sat, 01 Dec 2012 15:21:13 GMT) Full text and rfc822 format available.

Message #17 received at 694061-close@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.org>
To: 694061-close@bugs.debian.org
Subject: Bug#694061: fixed in lxde-metapackages 4+nmu1
Date: Sat, 01 Dec 2012 15:17:39 +0000
Source: lxde-metapackages
Source-Version: 4+nmu1

We believe that the bug you reported is fixed in the latest version of
lxde-metapackages, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694061@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hideki Yamane <henrich@debian.org> (supplier of updated lxde-metapackages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 24 Nov 2012 14:11:20 +0900
Source: lxde-metapackages
Binary: lxde-core lxde
Architecture: source all
Version: 4+nmu1
Distribution: unstable
Urgency: low
Maintainer: Debian LXDE Maintainers <lxde-debian@lists.lxde.org>
Changed-By: Hideki Yamane <henrich@debian.org>
Description: 
 lxde       - LXDE metapackage
 lxde-core  - LXDE core metapackage
Closes: 694061
Changes: 
 lxde-metapackages (4+nmu1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * guarantee proper migration from old enviroment to wheezy
     Thanks to Andreas Beckmann <debian@abeckmann.de> for pointing this
     out and patch (Closes: #694061)
Checksums-Sha1: 
 de7987108cc79bddb7bd45345865411a144351e6 1749 lxde-metapackages_4+nmu1.dsc
 8830c88652dd58bb2febdc0160fcabfc93adebef 2356 lxde-metapackages_4+nmu1.tar.xz
 bbe1474ea6cf211d5116f9d02c11e8e979c2d009 2552 lxde-core_4+nmu1_all.deb
 e18648364102bcbe44357efe06991a7bd40edd20 2570 lxde_4+nmu1_all.deb
Checksums-Sha256: 
 bae3467a70431ab8929f999f408ba0ccf3595665a1a8c97c277522e4fa91dcd7 1749 lxde-metapackages_4+nmu1.dsc
 d8c4b742c86372e6e8d9f4d7bc3703eb48947660c439f9157f7abe7b8309fd17 2356 lxde-metapackages_4+nmu1.tar.xz
 4fe2c092c1b5a606d38c48fad3c36c241bde5c20d9267f4ebe96b8b1f2949ca2 2552 lxde-core_4+nmu1_all.deb
 aadee8b8f521d8c6c01f7bc299ef5531772b70704532a574d98c4b6e4a62760c 2570 lxde_4+nmu1_all.deb
Files: 
 7a2ad8b99edd7499ffa4224fec254f96 1749 metapackages optional lxde-metapackages_4+nmu1.dsc
 3cbbcade107647fd3ad218919120e630 2356 metapackages optional lxde-metapackages_4+nmu1.tar.xz
 fcf59d277b34299591542a48916a78ae 2552 metapackages optional lxde-core_4+nmu1_all.deb
 ad670e7469fe5f0f78b6ad9fb2559012 2570 metapackages optional lxde_4+nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQt3fZAAoJEF0yjQgqqrFAXesP/j1w3NKxBYZYXMvBXgXucGl+
8TJj24/WLp61pSyjKnm3S/pA3YpBXEK40aaK+Pb2FaiWkMDdAyQ5InEVi4SaF9uA
MomfLGxnstR5JaI/5Bnk88MpKL7qg1esvMPQ3SJIOpUmqGOq1OCDfb23DsPlDatF
yn4zZQcN7YyU8fEWKbkBgPE4PYMhweJncQOqz+G4GksLEqs1xdrclG3p8dv84LbT
9uFSxJ3cLDPd6zEJSuPSDBpI3mXj0BttYmpNevyXEb3N2aXT5hoLnUEE+Z/gIQ58
A+//CL6kL55pPx2QnVYBXe1nRakS7pXltPepB6sB8KXYPwCibLIjvpQU6XMc67b0
rquv8v7M6Thm9lmBsQM5mdNTGCsQrkqFK+RCsy7+1eSZsN9mZL9/hltX/oQ7h6FD
ZR+BdxFqqyoN6XkojOcR6nWVcxshFmOglAjdq0ns6TMrylAml3jwp6h2ePWYkWJR
ilQiSL2NsuS9Qor56pxZ8yGd/3SoXJrgP0LTGCRPRHF8FHvVMJpk8shO5IlyqNbf
5PxzSJ61O7NrblAtaaikwVxmH82oZUuMXIVHiAxHca8fmZyCv6hyp2sY5sS2Ftht
DTa3lwJnnrLY7gD8VhGMIqHuhFc6mCmHhKDGdo7ilKvhaKBxwt4F/aHoo71cXwt1
rcLn7G/jk7J3AOtv7N0K
=p3H7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Jan 2013 07:27:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:46:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.